within ModelicaTableAdditions.Blocks;
package Test "Test models"
  extends Modelica.Icons.ExamplesPackage;
  model TestTables "Test and compare the table blocks"
    extends Modelica.Icons.Example;
    ModelicaTableAdditions.Blocks.Sources.CombiTimeTable combiTimeTable1(
      tableOnFile=true,
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.csv"),
      nHeaderLines=1,
      columns={2})
      annotation (Placement(transformation(extent={{-40,60},{-20,80}})));
    Modelica.Blocks.Sources.CombiTimeTable combiTimeTable2(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.txt"),
      columns={2})
      annotation (Placement(transformation(extent={{40,60},{60,80}})));
    ModelicaTableAdditions.Blocks.Tables.CombiTable1D combiTable1D1(
      tableOnFile=true,
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.csv"),
      nHeaderLines=1,
      columns={2})
      annotation (Placement(transformation(extent={{-40,20},{-20,40}})));
    Modelica.Blocks.Tables.CombiTable1D combiTable1D2(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.txt"),
      columns={2})
      annotation (Placement(transformation(extent={{40,20},{60,40}})));
    Modelica.Blocks.Sources.Clock clock1
      annotation (Placement(transformation(extent={{-80,20},{-60,40}})));
    Modelica.Blocks.Sources.Clock clock2
      annotation (Placement(transformation(extent={{0,20},{20,40}})));
    ModelicaTableAdditions.Blocks.Tables.CombiTable1Ds combiTable1Ds1(
      tableOnFile=true,
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.csv"),
      nHeaderLines=1,
      columns={2})
      annotation (Placement(transformation(extent={{-40,-20},{-20,0}})));
    Modelica.Blocks.Tables.CombiTable1Ds combiTable1Ds2(
      tableOnFile=true,
      tableName="tab1",
      fileName=Modelica.Utilities.Files.loadResource("modelica://ModelicaTableAdditions/Resources/Data/Tables/test.txt"),
      columns={2})
      annotation (Placement(transformation(extent={{40,-20},{60,0}})));
    Modelica.Blocks.Sources.Clock clock3
      annotation (Placement(transformation(extent={{-80,-20},{-60,0}})));
    Modelica.Blocks.Sources.Clock clock4
      annotation (Placement(transformation(extent={{0,-20},{20,0}})));
  equation
    connect(clock1.y, combiTable1D1.u[1])
      annotation (Line(points={{-59,30},{-42,30}}, color={0,0,127}));
    connect(clock2.y, combiTable1D2.u[1])
      annotation (Line(points={{21,30},{38,30}}, color={0,0,127}));
    connect(clock3.y, combiTable1Ds1.u)
      annotation (Line(points={{-59,-10},{-42,-10}}, color={0,0,127}));
    connect(clock4.y, combiTable1Ds2.u)
      annotation (Line(points={{21,-10},{38,-10}}, color={0,0,127}));
    annotation (Icon(coordinateSystem(preserveAspectRatio=false)), Diagram(
          coordinateSystem(preserveAspectRatio=false)),
      experiment(StopTime=45));
  end TestTables;
end Test;
